Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.io
Class SubImageOutputStream

    java.lang.Object
      javax.imageio.stream.ImageInputStreamImpl
          javax.imageio.stream.ImageOutputStreamImpl
              org.monte.media.io.SubImageOutputStream

All Implemented Interfaces:
  java.io.DataInput, java.io.DataOutput, javax.imageio.stream.ImageInputStream, javax.imageio.stream.ImageOutputStream

    public class SubImageOutputStream

extends javax.imageio.stream.ImageOutputStreamImpl

`SubImageOutputStream`.

Version:
  1.0 2011-07-20 Created.
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class javax.imageio.stream.ImageInputStreamImpl
`bitOffset, byteOrder, flushedPos, streamPos`

Constructor Summary
`SubImageOutputStream(javax.imageio.stream.ImageOutputStream out, java.nio.ByteOrder bo, boolean forwardFlushAndClose)`
`SubImageOutputStream(javax.imageio.stream.ImageOutputStream out, long offset, java.nio.ByteOrder bo, boolean forwardFlushAndClose)`

Method Summary
`void` | `flush()`
`long` | `getFlushedPosition()`
`long` | `getStreamPosition()`
`boolean` | `isCached()` Default implementation returns false.
`boolean` | `isCachedFile()`
`boolean` | `isCachedMemory()` Default implementation returns false.
`long` | `length()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`void` | `seek(long pos)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class javax.imageio.stream.ImageOutputStreamImpl
`flushBits, write, writeBit, writeBits, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeChars, writeDouble, writeDoubles, writeFloat, writeFloats, writeInt, writeInts, writeLong, writeLongs, writeShort, writeShorts, writeUTF`

Methods inherited from class javax.imageio.stream.ImageInputStreamImpl
`checkClosed, close, finalize, flushBefore, getBitOffset, getByteOrder, mark, read, readBit, readBits, readBoolean, readByte, readBytes, readChar, readDouble, readFloat, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedInt, readUnsignedShort, readUTF, reset, setBitOffset, setByteOrder, skipBytes, skipBytes`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.imageio.stream.ImageOutputStream
`flushBefore`

Methods inherited from interface javax.imageio.stream.ImageInputStream
`close, getBitOffset, getByteOrder, mark, read, readBit, readBits, readBoolean, readByte, readBytes, readChar, readDouble, readFloat, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedInt, readUnsignedShort, readUTF, reset, setBitOffset, setByteOrder, skipBytes, skipBytes`

Constructor Detail

### SubImageOutputStream

    public SubImageOutputStream(javax.imageio.stream.ImageOutputStream out,
                                java.nio.ByteOrder bo,
                                boolean forwardFlushAndClose)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### SubImageOutputStream

    public SubImageOutputStream(javax.imageio.stream.ImageOutputStream out,
                                long offset,
                                java.nio.ByteOrder bo,
                                boolean forwardFlushAndClose)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in interface `javax.imageio.stream.ImageInputStream`
  Specified by:
    `read` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Specified by:
    `read` in interface `javax.imageio.stream.ImageInputStream`
  Specified by:
    `read` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### getStreamPosition

    public long getStreamPosition()
                           throws java.io.IOException

  Specified by:
    `getStreamPosition` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `getStreamPosition` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### seek

    public void seek(long pos)
              throws java.io.IOException

  Specified by:
    `seek` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `seek` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `flush` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### getFlushedPosition

    public long getFlushedPosition()

  Specified by:
    `getFlushedPosition` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `getFlushedPosition` in class `javax.imageio.stream.ImageInputStreamImpl`

### isCached

    public boolean isCached()

  Default implementation returns false. Subclasses should override this if they cache data.

  Specified by:
    `isCached` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `isCached` in class `javax.imageio.stream.ImageInputStreamImpl`

### isCachedMemory

    public boolean isCachedMemory()

  Default implementation returns false. Subclasses should override this if they cache data in main memory.

  Specified by:
    `isCachedMemory` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `isCachedMemory` in class `javax.imageio.stream.ImageInputStreamImpl`

### isCachedFile

    public boolean isCachedFile()

  Specified by:
    `isCachedFile` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `isCachedFile` in class `javax.imageio.stream.ImageInputStreamImpl`

### length

    public long length()

  Specified by:
    `length` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `length` in class `javax.imageio.stream.ImageInputStreamImpl`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Specified by:
    `write` in interface `javax.imageio.stream.ImageOutputStream`
  Specified by:
    `write` in class `javax.imageio.stream.ImageOutputStreamImpl`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Specified by:
    `write` in interface `java.io.DataOutput`
  Specified by:
    `write` in interface `javax.imageio.stream.ImageOutputStream`
  Specified by:
    `write` in class `javax.imageio.stream.ImageOutputStreamImpl`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD